<?php
/**
 * @copyright 2005-2006 OpenPNE Project
 * @license   http://www.php.net/license/3_01.txt PHP License 3.01
 */

class pc_do_c_exchange_add_insert_c_commu_topic extends OpenPNE_Action
{
    function execute($requests)
    {
        $u = $GLOBALS['AUTH']->uid();

        // --- リクエスト変数
        $tmpfile1 = $requests['image_filename1_tmpfile'];
        $tmpfile2 = $requests['image_filename2_tmpfile'];
        $tmpfile3 = $requests['image_filename3_tmpfile'];
        // ----------

        //--- 権限チェック
        //コミュニティ参加者

        $exchange = p_c_exchange_add_confirm_exchange4request();

        $status = db_common_commu_status($u, $exchange['c_commu_id']);
        if (!$status['is_commu_member']) {
            handle_kengen_error();
        }

        $c_commu = db_commu_c_commu4c_commu_id2($exchange['c_commu_id']);

        //トピック作成権限チェック
        if ($c_commu['topic_authority'] == 'admin_only' && !db_commu_is_c_commu_admin($exchange['c_commu_id'], $u)) {
            $_REQUEST['target_c_commu_id'] = $exchange['c_commu_id'];
            $_REQUEST['msg'] = "イベントは管理者だけが作成できます";
            openpne_forward('pc', 'page', "c_home");
            exit;
        }
        //---


        if ($exchange['invite_period_year'].$exchange['invite_period_month'].$exchange['invite_period_day']!="") {
            $invite_period = $exchange['invite_period_year']."-".$exchange['invite_period_month']."-".$exchange['invite_period_day'];
        } else {
            $invite_period = "";
        }

        $insert_c_commu_topic = array(
            "name"              => $exchange['title'],
            "c_commu_id"        => $exchange['c_commu_id'],
            "c_member_id"       => $u,
            "c_exchange_category_id" => $exchange['c_exchange_category_id'],
            "open_date"         => $exchange['open_date_year']."-".$exchange['open_date_month']."-".$exchange['open_date_day'],
            "open_date_comment" => $exchange['open_date_comment'],
            "close_date"        => $exchange['close_date_year']."-".$exchange['close_date_month']."-".$exchange['close_date_day'],
            "close_date_comment"=> $exchange['close_date_comment'],
            "open_pref_id"      => $exchange['open_pref_id'],
            "open_pref_comment" => $exchange['open_pref_comment'],
            "amount"            => $exchange['amount'],
            "add_amount"        => $exchange['add_amount'],
            "event_flag"        => $exchange['event_flag'],
        );
        $c_commu_topic_id = db_commu_insert_c_commu_topic($insert_c_commu_topic);

        if ($tmpfile1) {
            $filename1 = image_insert_c_image4tmp("t_{$c_commu_topic_id}_1", $tmpfile1);
        }
        if ($tmpfile2) {
            $filename2 = image_insert_c_image4tmp("t_{$c_commu_topic_id}_2", $tmpfile2);
        }
        if ($tmpfile3) {
            $filename3 = image_insert_c_image4tmp("t_{$c_commu_topic_id}_3", $tmpfile3);
        }
        t_image_clear_tmp(session_id());

        $insert_c_commu_topic_comment = array(
            "c_commu_id"       => $exchange['c_commu_id'],
            "c_member_id"      => $u,
            "body"             => $exchange['detail'],
            "number"           => 0,
            "c_commu_topic_id" => $c_commu_topic_id,
            "image_filename1"  => !empty($filename1) ? $filename1 : '',
            "image_filename2"  => !empty($filename2) ? $filename2 : '',
            "image_filename3"  => !empty($filename3) ? $filename3 : '',
        );
        $insert_id = db_commu_insert_c_commu_topic_comment_3($insert_c_commu_topic_comment);

        //お知らせメール送信(携帯へ)
        send_bbs_info_mail($insert_id, $u);
        //お知らせメール送信(PCへ)
        send_bbs_info_mail_pc($insert_id, $u);
/*
// 参加者一覧へ登録
        db_commu_insert_c_exchange_member_as_admin($c_commu_topic_id, $u);
*/
        $p = array('target_c_commu_topic_id' => $c_commu_topic_id);
        openpne_redirect('pc', 'page_c_exchange_detail', $p);
    }
}

?>
